curl --request GET \
--url https://api.synctera.com/v1/fee_templates/{fee_template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/fee_templates/{fee_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/fee_templates/{fee_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "85943c51-e4ff-4e57-9558-08cab6b96364",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_FUNDING_AFT",
"tenant": "abcdef_ghijkl",
"currency": "USD",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"is_enabled": true,
"amount": 1000,
"description": "Premium Customer ATM Fee",
"metadata": {}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get a Fee template
Get a fee template by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a fee template
"64438afd-fa20-4010-a573-2bbdca77cdb6"
Response
Returned fee template
The timestamp representing when the fee template was created
"2010-05-06T12:23:34.321Z"
The ID of the fee template.
"85943c51-e4ff-4e57-9558-08cab6b96364"
The timestamp representing when the fee template was last modified
"2010-05-06T12:23:34.321Z"
A short string representing the sub-type of the fee. This will be used as the subtype of the resulting transaction.
ACCOUNT_FUNDING_AFT, ACCOUNT_FUNDING_AFT_REVERSAL, ACH_INCOMING_TRANSFER, ACH_INCOMING_TRANSFER_REVERSAL, ACH_OUTGOING_TRANSFER, ACH_OUTGOING_TRANSFER_REVERSAL, APPLICATION, APPLICATION_REVERSAL, ATM_BALANCE_INQUIRY, ATM_BALANCE_INQUIRY_REVERSAL, ATM_WITHDRAWAL, ATM_WITHDRAWAL_REVERSAL, BALANCE_TRANSFER, BALANCE_TRANSFER_REVERSAL, BILL_PAY, BILL_PAY_REVERSAL, CARD_DELIVERY, CARD_DELIVERY_REVERSAL, CARD_REPLACEMENT, CARD_REPLACEMENT_REVERSAL, CASH_ADVANCE, CASH_ADVANCE_REVERSAL, CASH_DEPOSIT, CASH_DEPOSIT_REVERSAL, CHECK_ISSUANCE, CHECK_ISSUANCE_REVERSAL, CROSS_BORDER_TRANSACTION, CROSS_BORDER_TRANSACTION_REVERSAL, EFT_TRANSFER, EFT_TRANSFER_REVERSAL, FOREIGN_ATM, FOREIGN_ATM_REVERSAL, FOREIGN_TRANSACTION, FOREIGN_TRANSACTION_REVERSAL, INACTIVITY, INACTIVITY_REVERSAL, LATE_PAYMENT, LATE_PAYMENT_REVERSAL, MAINTENANCE, MAINTENANCE_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, ORIGINATION, ORIGINATION_REVERSAL, OVERDRAFT, OVERDRAFT_REVERSAL, OVER_THE_LIMIT, OVER_THE_LIMIT_REVERSAL, RETURNED_ITEM, RETURNED_ITEM_REVERSAL, RETURNED_PAYMENT, RETURNED_PAYMENT_REVERSAL, STOP_PAYMENT, STOP_PAYMENT_REVERSAL, SUBSCRIPTION, SUBSCRIPTION_REVERSAL, WIRE_TRANSFER, WIRE_TRANSFER_REVERSAL The id of the tenant containing the resource.
"abcdef_ghijkl"
currency for the fee, as a three character ISO 4217 alphabetic currency code.
"USD"
The ID of default internal_account to use as the destination of the fee transfer. Cannot be a system internal account.
"42943c51-e4ff-4e57-9558-08cab6b963c8"
Whether the fee template is enabled. If false, fees cannot be created from this template.
true
The default amount of the fee in ISO 4217 minor currency units, e.g. cents. The internal account will be debited this amount. Can be overridden when creating a fee.
1000
The description of the fee template.
"Premium Customer ATM Fee"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
Was this page helpful?

